import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";

export const provinceFinancialSettlmentService = createAsyncThunk(
  "PROVINCE_FINANCIAL_SETTLMENT_SERVICE",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.put("kill_house_creditors/0/", d);
    dispatch(LOADING_END());
    return { data, status };
  }
);
